#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	ksh
Version		:	2020.0.0
Release		:	14.8.0.0%{?dist}
summary		:	The Original ATT Korn Shell
Group		:	System Environment/Shells

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	EPL
URL		:	https://github.com/att/ast/tree/master

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	meson
BuildRequires	:	ninja

#-----------------------------------------------------------------------------
%description
'%{name}' is the most recent version of the KornShell by David Korn of
AT&T Bell Laboratories.
KornShell is a shell programming language, which is upward compatible
with "sh" (the Bourne Shell).


#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson							\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--buildtype=plain				\
	..

popd 

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#moving ksh from /usr/bin to /bin
%{__mkdir_p} %{buildroot}/bin
%{__mv}							\
	%{buildroot}%{_bindir}/%{name}			\
	%{buildroot}/bin
%{__ln_s}						\
	../../bin/%{name}				\
	%{buildroot}%{_bindir}


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
/bin/%{name}
%{_bindir}/%{name}
%{_bindir}/shcomp
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  sed -i
   -e "s:/bin/ksh::"
  /etc/shells
  fi

%post
if [ "$1" = 1 ]; then
  echo "/bin/ksh" >> /etc/shells
  fi

#-----------------------------------------------------------------------------
%changelog
